Name:           i3lock
Version:        2.6
Release:        1%{?dist}
Summary:        Simple X display locker like slock
License:        MIT
URL:            http://i3wm.org/i3lock/
Source0:        http://i3wm.org/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:  cairo-devel
BuildRequires:  pam-devel
BuildRequires:  libev-devel
BuildRequires:  libxcb-devel
BuildRequires:  libXext-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  libxkbcommon-x11-devel
BuildRequires:  libxkbfile-devel
BuildRequires:  libXpm-devel
BuildRequires:  xcb-util-keysyms-devel
BuildRequires:  xcb-util-image-devel
BuildRequires:  xcb-util-devel

%description
i3lock improves slock by making it fork() and therefore combinable with commands
to suspend your computer. Additionally, instead of turning off your screen via
DPMS and/or displaying a black screen, i3lock displays a white screen so you can
see if your computer failed to resume from suspend or if your screen is just 
locked. Also, when entering a wrong password, i3lock does not call XBell().
This is important because i3lock/slock think you’ve entered a password when 
resuming from suspend, at least sometimes.

%prep
%setup -q
# Relocatable.
sed \
    -e 's|PREFIX=/usr|PREFIX=%{_prefix}|g' \
    -e 's|SYSCONFDIR=/etc|SYSCONFDIR=%{_sysconfdir}|g' \
    -i Makefile

%build
# we have to add libev cflags because the Makefile doesn't list them
CFLAGS="%{optflags} `pkg-config --cflags libev`" %make_build

%install
%make_install INSTALL="install -p"
install -Dpm0644 i3lock.1 %{buildroot}%{_mandir}/man1/i3lock.1

%files
%doc CHANGELOG LICENSE README
%{_bindir}/%{name}
%{_sysconfdir}/pam.d/%{name}
%{_mandir}/man1/i3lock.1*

%changelog
* Tue Jul 29 2014 Christopher Meng <rpm@cicku.me> - 2.6-1
- Update to 2.6

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 14 2013 Felix Wiedemann <felix.wiedemann@online.de> - 2.5-1
- New upstream release
- Removed custom i3lock.pam file
- Added new BuildRequires

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jul 13 2012 Martin Preisler <mpreisle@redhat.com> - 2.4.1-6
- Bumped release for clear upgrade path

* Fri Jul 13 2012 Martin Preisler <mpreisle@redhat.com> - 2.4.1-4
- Make sure we install README, LICENSE, CHANGELOG and the manpage

* Fri Jun 15 2012 Martin Preisler <mpreisle@redhat.com> - 2.4.1-3
- rebuilt with a bumped release number to make sure the package updates from f17

* Wed Jun 06 2012 Martin Preisler <mpreisle@redhat.com - 2.4.1-1
- Updated to upstream stable 2.4.1 release

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6.20100320git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5.20100320git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Mar 20 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 1.0-4.20100320git
- Update to current git

* Sat Feb 05 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 1.0-3
- Some bugfixes (sync with upstream)

* Sat Jan 09 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 1.0-2
- Add a PAM configfile as SOURCE1

* Wed Dec 02 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 1.0-1
- Package build for Fedora
